package com.foreverwin.mesnac.common.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-21
 */

@TableName("Z_PRINT_LOG")
public class PrintLog extends Model<PrintLog> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 打印类别
     */
   @TableField("CATEGORY")
   private String category;
    /**
     * 打印机
     */
   @TableField("PRINT_NAME")
   private String printName;
    /**
     * 打印模板
     */
   @TableField("PRINT_TEMPLATE")
   private String printTemplate;
    /**
     * 打印参数
     */
   @TableField("PRINT_PARAM")
   private String printParam;
    /**
     * 生产批次
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 资源编号
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 步骤标识
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 工序编号
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 库存批次
     */
   @TableField("INVENTORY")
   private String inventory;
   @TableField("ITEM_BO")
   private String itemBo;
   @TableField("COMMENTS")
   private String comments;
   @TableField("IS_PRINT")
   private String isPrint;
   @TableField("PRINT_NUM")
   private Integer printNum;
   @TableField("OTHER_1")
   private String other1;
   @TableField("OTHER_2")
   private String other2;
   @TableField("OTHER_3")
   private String other3;
   @TableField("OTHER_4")
   private String other4;
   @TableField("OTHER_5")
   private String other5;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   @TableField(value = "ITEM", exist = false)
   private String item;
   @TableField(value = "ITEM_DESCRIPTION", exist = false)
   private String itemDescription;

   private String startFromDate_S;
   @TableField(exist = false)
   private String startToDate_S;
   @TableField(exist = false)
   private Date startFromDate;
   @TableField(exist = false)
   private Date startToDate;

   public String getStartFromDate_S() {
      return startFromDate_S;
   }

   public void setStartFromDate_S(String startFromDate_S) {
      this.startFromDate_S = startFromDate_S;
   }

   public String getStartToDate_S() {
      return startToDate_S;
   }

   public void setStartToDate_S(String startToDate_S) {
      this.startToDate_S = startToDate_S;
   }

   public Date getStartFromDate() {
      return startFromDate;
   }

   public void setStartFromDate(Date startFromDate) {
      this.startFromDate = startFromDate;
   }

   public Date getStartToDate() {
      return startToDate;
   }

   public void setStartToDate(Date startToDate) {
      this.startToDate = startToDate;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getCategory() {
      return category;
   }

   public void setCategory(String category) {
      this.category = category;
   }

   public String getPrintName() {
      return printName;
   }

   public void setPrintName(String printName) {
      this.printName = printName;
   }

   public String getPrintTemplate() {
      return printTemplate;
   }

   public void setPrintTemplate(String printTemplate) {
      this.printTemplate = printTemplate;
   }

   public String getPrintParam() {
      return printParam;
   }

   public void setPrintParam(String printParam) {
      this.printParam = printParam;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getInventory() {
      return inventory;
   }

   public void setInventory(String inventory) {
      this.inventory = inventory;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public String getComments() {
      return comments;
   }

   public void setComments(String comments) {
      this.comments = comments;
   }

   public String getIsPrint() {
      return isPrint;
   }

   public void setIsPrint(String isPrint) {
      this.isPrint = isPrint;
   }

   public Integer getPrintNum() {
      return printNum;
   }

   public void setPrintNum(Integer printNum) {
      this.printNum = printNum;
   }

   public String getOther1() {
      return other1;
   }

   public void setOther1(String other1) {
      this.other1 = other1;
   }

   public String getOther2() {
      return other2;
   }

   public void setOther2(String other2) {
      this.other2 = other2;
   }

   public String getOther3() {
      return other3;
   }

   public void setOther3(String other3) {
      this.other3 = other3;
   }

   public String getOther4() {
      return other4;
   }

   public void setOther4(String other4) {
      this.other4 = other4;
   }

   public String getOther5() {
      return other5;
   }

   public void setOther5(String other5) {
      this.other5 = other5;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public String getItemDescription() {
      return itemDescription;
   }

   public void setItemDescription(String itemDescription) {
      this.itemDescription = itemDescription;
   }

   public static final String HANDLE = "HANDLE";

   public static final String SITE = "SITE";

   public static final String CATEGORY = "CATEGORY";

   public static final String PRINT_NAME = "PRINT_NAME";

   public static final String PRINT_TEMPLATE = "PRINT_TEMPLATE";

   public static final String PRINT_PARAM = "PRINT_PARAM";

   public static final String SFC = "SFC";

   public static final String RESRCE = "RESRCE";

   public static final String STEP_ID = "STEP_ID";

   public static final String OPERATION = "OPERATION";

   public static final String INVENTORY = "INVENTORY";

   public static final String ITEM_BO = "ITEM_BO";

   public static final String COMMENTS = "COMMENTS";

   public static final String IS_PRINT = "IS_PRINT";

   public static final String PRINT_NUM = "PRINT_NUM";

   public static final String OTHER_1 = "OTHER_1";

   public static final String OTHER_2 = "OTHER_2";

   public static final String OTHER_3 = "OTHER_3";

   public static final String OTHER_4 = "OTHER_4";

   public static final String OTHER_5 = "OTHER_5";

   public static final String CREATE_USER = "CREATE_USER";

   public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

   public static final String MODIFY_USER = "MODIFY_USER";

   public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "PrintLog{" +
         "handle = " + handle +
         ", site = " + site +
         ", category = " + category +
         ", printName = " + printName +
         ", printTemplate = " + printTemplate +
         ", printParam = " + printParam +
         ", sfc = " + sfc +
         ", resrce = " + resrce +
         ", stepId = " + stepId +
         ", operation = " + operation +
         ", inventory = " + inventory +
         ", itemBo = " + itemBo +
         ", comments = " + comments +
         ", isPrint = " + isPrint +
         ", printNum = " + printNum +
         ", other1 = " + other1 +
         ", other2 = " + other2 +
         ", other3 = " + other3 +
         ", other4 = " + other4 +
         ", other5 = " + other5 +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}